@import "../../../assets/styles/main.scss";

.deleteSideDrawerMain {
  height: 100%;
  padding: 40px;

  @include lg {
    padding: 30px;
  }

  .deleteMainSection {
    display: flex;
    flex-flow: column;
    gap: 40px;
    height: 100%;

    @include lg {
      gap: 24px;
    }
    .deleteHeading {
      padding-bottom: 0px;

      @include lg {
        padding-bottom: 0px;
      }
      h1 {
        font-size: 24px;
        @include inter700;
        color: getColorHex("black");
        line-height: 32px;
        text-transform: capitalize;
        @include lg {
          font-size: 20px;
        }
      }
    }
    .borderdiv {
      background: #d5d8dd;
      height: 1px;
    }

    .deleteContain {
      height: 100%;
      display: flex;
      flex-direction: column;

      form {
        display: flex;
        flex-direction: column;
        gap: 40px;

        @include lg {
          gap: 30px;
        }

        @include lg {
          gap: 24px;
        }

        .esimInstallStatus {
          padding: 19.5px 20px;
          display: flex;
          flex-direction: row;
          gap: 10px;
          border: 1px solid #e8e8e8;
          box-shadow: 0px 0px 9.8px 0px #d2d2d275;
          background: #ffffff;
          border-radius: 10px;
          align-items: center;
          justify-content: flex-start;

          .informationIcon {
            height: 30px;
            width: 30px;
            background: #f8f8f8;
            @include vertical_align_center;

            svg {
              height: 16.67px;
              width: 16.67px;
            }
          }

          .informationDetails {
            display: flex;
            flex-direction: column;
            gap: 4px;
            align-items: flex-start;

            h5 {
              font-size: 14px;
              line-height: 16.94px;
              text-align: right;
              color: #000000;

              @include lg {
                font-size: 12px;
                line-height: 14.52px;
              }
            }

            p {
              font-size: 12px;
              line-height: 14.52px;
              @include inter400;
              text-align: left;
              color: #686868;

              @include lg {
                font-size: 10px;
                line-height: 12.52px;
              }
            }
          }
        }

        .informationDetailsSkeleton {
          border-radius: 10px;
        }

        .enterCouponBalance {
          display: flex;
          flex-direction: column;
          gap: 25px;

          .useReferralCode {
            h3 {
              font-size: 16px;
              line-height: 20px;
              color: #000000;

              @include lg {
                font-size: 14px;
                line-height: 18px;
              }
            }
          }
          input {
            border-radius: 50px;
            border: 1px solid #eef1f5;
            background: #fff;
            padding: 7px 15px;
            width: 100%;
            transition: border 0.3s ease-in-out;
            font-size: 16px;
            line-height: 20px;
            @include lg {
              font-size: 14px;
              line-height: 18px;
            }

            &::placeholder {
              color: getColorHex("placeholder");
            }

            &.errorInput {
              border: 1px solid red;
              animation: shake 0.3s;
            }
          }

          /* Chrome, Safari, Edge, Opera */
          input::-webkit-outer-spin-button,
          input::-webkit-inner-spin-button {
            -webkit-appearance: none;
            margin: 0;
          }

          /* Firefox */
          input[type="number"] {
            -moz-appearance: textfield;
          }
        }

        .coupanApplayButton {
          button {
            display: flex;
            gap: 10px;
            justify-content: center;
            align-items: center;
            color: #fff;
            background-color: getColorHex("orange");
            border: unset;
            border-radius: 35px;
            background: linear-gradient(92deg, #f47500 4.71%, #e47f28 93.98%);
            height: 44px;
            width: 164px;
            padding: 10px 30px;
            transition: 0.3s;
            @include inter700;
            border: none;
    
            &:disabled {
              opacity: 0.5;
            }
            img {
              width: 24px;
              height: 24px;
            }
            .arrowBack {
              display: block;
            }
            .arrowBackOrange {
              display: none;
            }
            &:hover:not(:disabled) {
              // Add :not(:disabled) to ensure hover effect doesn't apply when button is disabled
              background: getColorHex("white");
              border: 1px solid getColorHex("orange");
              @include transition-3s;
              p {
                color: getColorHex("orange");
              }
              .arrowBack {
                display: none;
              }
              .arrowBackOrange {
                display: block;
              }
            }
            &:disabled {
              background-color: #ccc; // Disabled background color
              cursor: not-allowed; // Change cursor to indicate button is disabled
            }
            p {
              font-size: 20px;
              color: white;
              @include inter700;
              text-transform: capitalize;
              @include lg {
                font-size: 18px;
              }
            }
          }
        }
      }
    }
  }
}
